
locals {
  create_event_function = var.create_event_function
  create_http_function = var.create_http_function
  create_service = var.create_service
  events_function_filename = var.events_function_filename
  events_function_handler = var.events_function_handler
  events_function_name = var.events_function_name
  events_function_oss_bucket = var.events_function_oss_bucket
  events_function_oss_key = var.events_function_oss_key
  events_function_runtime = var.events_function_runtime
  events_trigger_name = var.events_trigger_name
  events_triggers = var.events_triggers
  filter_service_with_name_regex = var.filter_service_with_name_regex
  function_memory_size = var.function_memory_size
  function_timeout = var.function_timeout
  http_function_filename = var.http_function_filename
  http_function_handler = var.http_function_handler
  http_function_name = var.http_function_name
  http_function_oss_bucket = var.http_function_oss_bucket
  http_function_oss_key = var.http_function_oss_key
  http_function_runtime = var.http_function_runtime
  http_trigger_name = var.http_trigger_name
  http_triggers = var.http_triggers
  profile = var.profile
  region = var.region
  service_internet_access = var.service_internet_access
  service_log_config = var.service_log_config
  service_name = var.service_name
  service_role = var.service_role
  service_role_name_regex = var.service_role_name_regex
  service_role_policy_name = var.service_role_policy_name
  service_role_policy_type = var.service_role_policy_type
  service_vpc_config = var.service_vpc_config
  shared_credentials_file = var.shared_credentials_file
  skip_region_validation = var.skip_region_validation
  source_role_name_regex = var.source_role_name_regex
  source_role_policy_name = var.source_role_policy_name
  source_role_policy_type = var.source_role_policy_type
  trigger_role = var.trigger_role
  trigger_role_name_regex = var.trigger_role_name_regex
  trigger_role_policy_name = var.trigger_role_policy_name
  trigger_role_policy_type = var.trigger_role_policy_type
  trigger_source_arn = var.trigger_source_arn
}
